Page MenuHomePhabricator

Snapshot: what proportion of edits are made using the visual and wikitext editors?
Closed, ResolvedPublic2 Story Points

Description

See parent task T202132: EPIC: Generate one-off metric snapshots for mobile editing documentation for more information on background and acceptance criteria.

How many edits are made using the visual and wikitext editors? This is complex to define, because some wikis use visual editor by default on desktop, and others don't, and on mobile wikitext is the default everywhere, so calculating an overall percentage based on such disparate configurations will generate flawed data. This needs to be split out based on which the default editor is for desktop, then mobile done separately.

Expected snapshot output:

MetricVisual editor percentageWikitext editor percentage
Desktop (visual editor default wikis)%%
Desktop (wkitext editor default wikis)%%
Mobile%%

(sum of each item in the rows should add up to 100%)

Event Timeline

Deskana triaged this task as High priority.Aug 17 2018, 1:08 PM

From @Deskana's comments on T202355:

There's also rollbacks, which are definitely not "wikitext edits". And undos, which are... arguably wikitext edits since it does show you a text box with wikitext in, but it's debatable to what extent the visual editor is an "alternative" to this. I definitely wouldn't count rollbacks as wikitext edits, but I probably would count undos since the visual editor could theoretically be used there.
And you can't even totally exclude API edits that are non-VE and non-2017WTE either, since the mobile apps do all of their edits through the API. The apps case is easy to include since they are tagged and have a strict user agent format, but it does leave a huge grey area in the middle...
In the end, whichever heuristic is chosen to determine whether an edit is a "wikitext edit" or not is going to have limitations and caveats, which is fine provided we document that and make sure to present the caveats any time the metric is presented.
Oh, and as a further complication, the apps don't implement Schema:Edit, instead implementing Schema:MobileWikiAppEdit...

Deskana renamed this task from Snapshot: how many edits are made using the visual and wikitext editors? to Snapshot: what proportion of edits are made using the visual and wikitext editors?.Aug 21 2018, 6:52 PM
Deskana set the point value for this task to 2.Aug 22 2018, 10:56 AM

From @Deskana's comments on T202355:

[...]

Oh, and as a further complication, the apps don't implement Schema:Edit, instead implementing Schema:MobileWikiAppEdit...

And the app schema doesn't provide such general stats for the iOS app due to opt-ins, see Neil's remark on the talk page there.
Schema:Edit on the other hand doesn't seem to be very reliable either, looking at T202786...

Which raises the question: Is EventLogging the best source for these stats, or could they be based on e.g. the visualeditor and mw-rollback edit tags?

Deskana moved this task from To Triage to Up next on the VisualEditor board.Aug 29 2018, 1:25 PM

@Deskana, @Esanders, I should've noticed this before, but I'm not sure which wikis are VE-default on desktop and which are not. I took a look at the various VE config variables but I don't know quite what to make of them. Any advice?

dchan added a subscriber: dchan.Oct 4 2018, 12:07 AM

Hi @Neil_P._Quinn_WMF , the configuration variables shown here should help:

https://www.mediawiki.org/wiki/Extension:VisualEditor#Basic_configuration_for_MediaWiki-VisualEditor

Also, you can compare the config of a wiki to its documented current status: https://www.mediawiki.org/wiki/VisualEditor/Rollouts

The relevant data has been posted on-wiki: https://www.mediawiki.org/wiki/Mobile_editing_using_the_visual_editor_report#How_many_edits_are_made_using_the_visual_and_wikitext_editors?

Note the caveat given in the report:

Caveat: These figures are drawn from the edit schema. This means edits like rollbacks and edits made via the API are correctly excluded, as they do not involve editing visually or editing wikitext. However, actions which involve loading a wikitext editor even if the user does not actually use it, such as manual undos and edits made using some automated or semi-automated tools, may be counted; whether counting these edits as "wikitext edits" is correct or not depends on the specific application of the data.

Deskana closed this task as Resolved.Oct 24 2018, 4:32 PM